System.register([], function (_export, _context) {
  "use strict";

  var __SystemJSRewritingHack;
  function extend(obj, definitions) {
    const descriptors = Object.getOwnPropertyDescriptors(definitions);
    for (let [propName, descriptor] of Object.entries(descriptors)) {
      const existingDescriptor = Object.getOwnPropertyDescriptor(obj, propName);
      if (existingDescriptor) {
        console.warn(`Overwriting existing property '${propName}'`, existingDescriptor, `of`, obj, `with new descriptor`, descriptor, `. Consider removing this behavior adaptation.`);
      }
      descriptor.enumerable = false;
      Object.defineProperty(obj, propName, descriptor);
    }
  }
  _export("extend", extend);
  return {
    setters: [],
    execute: function () {
      __SystemJSRewritingHack = {};
      _recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_lang_utils_js = _recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_lang_utils_js || {};
      Object.defineProperty(_recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_client_lang_utils_js, "extend", {
        get() {
          return extend;
        },
        set(thisIsVererySecretVariableName) {
          _export("extend", extend = thisIsVererySecretVariableName);
          return true;
        },
        enumerable: true,
        configurable: true
      });
    }
  };
});